package com.book.server.controller;

import com.book.server.common.entity.Result;
import com.book.server.config.SunTypeEnum;
import com.book.server.service.SunDataService;
import com.book.server.vo.SunNotifyRequest;
import com.book.server.vo.SunRequest;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.codec.digest.DigestUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.websocket.server.PathParam;
import java.util.UUID;

/**
 * created in 2021/9/27
 * Project: book-store
 *
 * @author win7
 */
@RestController
@RequestMapping("/api/sun")
@Slf4j
public class SunDataController extends BaseController {
@Autowired
private SunDataService sunDataService;


    @PostMapping("/getData/{type}")
    public Result getData(@PathVariable("type") String type,@RequestBody SunRequest request) {
        SunTypeEnum sunTypeEnum = SunTypeEnum.valueOf(type);
      return   sunDataService.requestData(request,sunTypeEnum);

    }
    @PostMapping("/pullData")
    public String pushData( SunNotifyRequest request) {
        sunDataService.pullData(request);
        String s = "{\"code\":200\",msg\":\"ok\"}";
        return s;

    }




    public static void main(String[] args) {
        System.out.println(UUID.randomUUID().toString());
    }

}
